# Handle line endings automatically for files detected as text
# and leave all files detected as binary untouched.
* text=auto

# These files are text and should be normalized (Convert crlf => lf)
*.gitattributes   text
.gitignore        text
*.md              text

# Python Source files
# These files are text and should be normalized (Convert crlf => lf)
# ============
*.pxd		      text
*.py 		      text
*.py3 		      text
*.pyw 		      text
*.pyx  		      text

# Python Binary files
# ============
*.db		binary
*.p 		binary
*.pkl 		binary
*.pyc 		binary
*.pyd		binary
*.pyo 		binary

# Note: .db, .p, and .pkl files are associated
# with the python modules ``pickle``, ``dbm.*``,
# ``shelve``, ``marshal``, ``anydbm``, & ``bsddb``
# (among others).